Log support ticket event
curl --request POST \
--url http://sandbox.mintlify.com/events/support-tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ticketId": "<string>",
"customerId": "<string>",
"subject": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"description": "<string>",
"category": "<string>"
}
'import requests
url = "http://sandbox.mintlify.com/events/support-tickets"
payload = {
"ticketId": "<string>",
"customerId": "<string>",
"subject": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"description": "<string>",
"category": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ticketId: '<string>',
customerId: '<string>',
subject: '<string>',
timestamp: '2023-11-07T05:31:56Z',
description: '<string>',
category: '<string>'
})
};
fetch('http://sandbox.mintlify.com/events/support-tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eventId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Support Activity
Log support ticket event
Create and log support ticket events
POST
/
events
/
support-tickets
Log support ticket event
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Support ticket event details
Unique identifier for the support ticket
ID of the customer who created the ticket
Subject/title of the support ticket
Current status of the ticket
Available options:
open, closed, pending When the ticket was created
Detailed description of the issue
Priority level of the ticket
Available options:
low, medium, high, urgent Category of the support issue
⌘I
